"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deployHook = void 0;
const types_1 = require("@pnpm/types");
function deployHook(pkg) {
    pkg.dependenciesMeta = pkg.dependenciesMeta ?? {};
    for (const depField of types_1.DEPENDENCIES_FIELDS) {
        for (const [depName, depVersion] of Object.entries(pkg[depField] ?? {})) {
            if (depVersion.startsWith('workspace:')) {
                pkg.dependenciesMeta[depName] = {
                    injected: true,
                };
            }
        }
    }
    return pkg;
}
exports.deployHook = deployHook;
//# sourceMappingURL=deployHook.js.map